Create a storage folder
Creates a Hive folder (and any missing ancestors) at the given path.
POST
/api/storage/foldersBody
vaultIdstringpathstringrequireddescriptionstringRequest
curl
curl -X POST https://trickest.io/api/storage/folders \
-H "Authorization: Token $TRICKEST_TOKEN" \
-H "Content-Type: application/json" \
-d '{ }'Responses
200Created folder; bespoke
{ folder } body, no entity schemasuccessboolean400Bad Request – validation error or malformed input
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
401Unauthorized – missing or expired token
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
403Forbidden – insufficient permissions
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
429Too Many Requests – rate limited
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
500Internal Server Error
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.